# DocumentFromLegacyPagesParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

DocumentFromLegacyPagesParams.new({required List<Page> pages, int? documentImageSizeLimit})

## Properties

documentImageSizeLimit ↔ int?
  The maximum size of the document image. Default is 0, no limit.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
pages ↔ List<Page>
  Legacy pages.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited